<?php
/**
 * Eve-Online API Trawler
 *
 */
require_once('config.php');
require_once('includes/vbulletin.php');
require_once('includes/db.php');
require_once('includes/class.functions.php');

// prepare page

$title = "EVE API Trawler :: Index";
require_once('includes/css.php');
require_once('includes/header.php');
$footer = "</body></html>";


if ($vbAuthed)
{
	if ($_GET['page'])
	{
		$url = preg_replace("/&page=([0-9]?[0-9]?[0-9])/", "", $_SERVER['QUERY_STRING']);
		$pagenumber = $_GET['page'];
	} else {
		$url = $_SERVER['QUERY_STRING'];
		$pagenumber = 1;
	}	
	
	$fID = $vbGroupID;
	$playerArray = getPlayers($fID);
	$playercount = count($playerArray);
	$endpage = ceil($playercount / MAXPERPAGE);
	$pagehtml = "<br><p><b>[</b> Page: ";
	
	for ($i = 1; $i <= $endpage; $i++)
	{
		if ($i != $pagenumber)
		{
			if ($i == 1 || $i == $endpage || (($i >= $pagenumber - 1 && $i <= $pagenumber + 1)))
			{
				if ($i != 1)
					$pagehtml .= "<a href=\"?".$url."&page=".$i."\">".$i."</a>&nbsp;";
				else
					$pagehtml .= "<a href=\"?".$url."\">".$i."</a>&nbsp;";
			}elseif ($i < $pagenumber && !$dotted)
			{
				$dotted = true;
				$pagehtml .= "<b>..&nbsp;</b>";
			}elseif ($i > $pagenumber && !$ldotted)
			{
				$ldotted = true;
				$pagehtml .= "<b>..&nbsp;</b>";
			}
		} else
			$pagehtml .= "<b>".$i."</b>&nbsp;";
	}
	$pagehtml .= "<b>]</b>";
	
	// Create Table for Player details to go in
	$page .= '<form method="post" action="view.php" name="viewform">';
	$page .= '<br><table align="center" border="1" width="60%" cellpadding="2"><tr><td align="center"><b>#</b></td><td align="center"><b>Player Name</b></td><td align="center"><b>Character Name</b></td><td align="center"><b>Created</b></td><td> </td></tr>';
	
	for ( $loop=(($pagenumber-1) * MAXPERPAGE); $loop < ($pagenumber * MAXPERPAGE); $loop++ )
	{
		if ($loop < $playercount)
			$page .= '<tr><td align="center">' . $playerArray[$loop]['playerID'] . '</td><td>' 
				. $playerArray[$loop]['playername'] . '</td><td align="center">'
				. $playerArray[$loop]['charname'] . '</td><td align="center">'
				. $playerArray[$loop]['created'] . '</td><td align="center">'
				. '<input type="submit" value="View" name="viewplayer" id="' . slashfix($playerArray[$loop]['playername']) . '" onclick="return ViewPlayer(this)"></td></tr>';
	}
	// hidden form control used to pass the playername user wishes to view - it's set in the javascript thats called when a view button is clicked
	$page .= '<input type="hidden" name="playername">';
	$page .= '</table></form>';
	
	// only print the links to extra pages if required (eg there's more than 1 page)
	if ($endpage > 1)
		$page .= $pagehtml;
} else {
	echo "you are not logged into forum";
}
	
$page .= $footer;
print $page;

function getPlayers($forumGroupID)
{
	$qry = new DBQuery();
	
	if ($forumGroupID != "ADMIN")
	{
       $sql = "SELECT p.name playername, c.name charname, p.playerID, p.created 
			FROM characters c, players p
			WHERE c.playerID = p.playerID
			AND p.forumGroupID = " . $forumGroupID . "
			ORDER BY p.playerID DESC";
	} else {
		$sql = "SELECT p.name playername, c.name charname, p.playerID, p.created
			FROM characters c, players p
			WHERE c.playerID = p.playerID
			ORDER BY p.playerID DESC";
	}

	$qry->execute($sql);
	
	while($row = $qry->getRow())
	{
		$allchars[] = $row;
	}
	
	return $allchars;

}
?>
<SCRIPT TYPE="text/javascript">
<!--
// check that they entered an amount tested, an amount passed,
// and that they didn't pass units than they more than tested

function CheckFormInput()
{
	var len = parseInt(document.playerform.playername.value.length);
	var returnval;

	if (len != 0)
	{
   		returnval = true;
		document.playerform.submitaddplayer.value = true;
	}
	else
   	{
   		alert("Need to Enter a name you great balloon");
   		returnval = false;
   	}
	return returnval;
}

function addplayerclick()
{
	document.playerform.submitaddplayer.value = "true";
}

function ViewPlayer(obj)
{
	var playername = obj.id;
	var returnval = true;

	document.viewform.playername.value = playername;

	return returnval;
}
// -->
</SCRIPT>