<?php

class Assets
{
    function Assets($itemid = 0)
    {
        $this->itemID_ = $itemid;
        $this->qry_ = new DBQuery();
		
		// check if DB exists, if not - create it - // counter if for secondary ordering when pulling assets, helps order those items within a container straight after the container itself not losing the order when sorting by location alphabetical.
		$this->qry_->execute("CREATE TABLE IF NOT EXISTS `assets` (
								`counter` INT NOT NULL AUTO_INCREMENT ,
								`playerID` INT UNSIGNED NOT NULL ,
								`userID` INT UNSIGNED NOT NULL ,
								`ownerID` INT UNSIGNED NOT NULL ,
								`container` INT UNSIGNED NOT NULL ,
								`itemID` INT UNSIGNED NOT NULL ,
								`locationID` INT UNSIGNED NOT NULL ,
								`typeID` INT UNSIGNED NOT NULL ,
								`quantity` INT UNSIGNED NOT NULL ,
								`flag` INT UNSIGNED NOT NULL ,
								`singleton` INT UNSIGNED NOT NULL ,
								`lastUpdated` DATETIME NOT NULL ,
								PRIMARY KEY ( `counter` ) ,
								INDEX ( `itemID` ) ,
								INDEX ( `ownerID` ) ,
								INDEX ( `playerID` ) ,
								INDEX ( `userID` ) ,
								INDEX ( `locationID` )
								) ENGINE = MYISAM" );
    }

    function execQuery()
    {
        if (!$this->qry_->executed_)
        {
            $this->sql_ = "select * from assets
	  	                   where itemID = " . $this->itemID_;
            $this->qry_->execute($this->sql_);
            $this->row_ = $this->qry_->getRow();
        }
    }

	function purge($charid)
	{
		// assets lists are 'complete' therefore we purge previous assets listed to allow the new processing to present 100% accuracy
		$this->sql_ = "DELETE from assets
	  	                   where ownerID = " . $charid;
	}
	
    function add($playerid, $userid, $characterid, $container, $itemid, $location, $typeid, $quantity,  $flag, $singleton, $timestamp)
    {
       	 $this->qry_->execute("select * from assets
		               where itemID = " . $itemid );

        if ($this->qry_->recordCount() == 0)
       	 {							 
            $this->qry_->execute("insert into assets (playerID, userID, ownerID, container, itemID, locationID, 
									typeID, quantity, flag, singleton, lastUpdated )
									 values ( '" . $playerid . "','" . $userid . "','"
									 . $characterid . "','"
									 . $container . "','"
									 . $itemid . "','"
									 . $location . "','"
									 . $typeid . "','"
									 . $quantity . "','"
									 . $flag . "','"
									 . $singleton . "',date_format('" . $timestamp . "','%Y.%m.%d %H:%i:%s'))" );
            $this->itemID_ = $itemid;
        } else {
            $row = $this->qry_->getRow();
            $this->itemID_ = $row['itemID'];
            
            $this->qry_->execute("update assets
	                       	set playerID = '" . $playerid . "', 
	                       	userID = '" . $userid . "',
							ownerID = '" . $characterid . "',
							container = '" . $container . "',
							locationID = '" . $location . "',
							typeID = '" . $typeid . "',
							quantity = '" . $quantity . "',
							flag = '" . $flag . "',
							singleton = '" . $singleton . "',
							lastUpdated = date_format('" . $timestamp . "','%Y.%m.%d %H:%i:%s')
			              	 where itemID = " . $this->itemID_);
        } 

        return $this->itemID_;
    }
}
?>
