<?php

class KillLogDB
{
    function KillLogDB($killid = 0)
    {
        $this->killID_ = $killid;
        $this->qry_ = new DBQuery();
		
		// check if DB exists, if not - create it
		$this->qry_->execute("CREATE TABLE IF NOT EXISTS `killlog` (
								`playerID` INT UNSIGNED NOT NULL ,
								`userID` INT UNSIGNED NOT NULL ,
								`ownerID` INT UNSIGNED NOT NULL ,
								`killTime` DATETIME NOT NULL ,
								`killID` INT UNSIGNED NOT NULL ,		
								`solarSystemID` INT UNSIGNED NOT NULL ,
								`characterName` VARCHAR( 64 ) NOT NULL ,
								`characterID` INT UNSIGNED NOT NULL ,	
								`corporationName` VARCHAR( 64 ) NOT NULL ,
								`corporationID` INT UNSIGNED NOT NULL ,	
								`allianceName`  VARCHAR( 64 ) NOT NULL ,
								`shipTypeID` INT UNSIGNED NOT NULL ,
								`aggressors` INT UNSIGNED NOT NULL ,
								`lastUpdated` DATETIME NOT NULL ,
								PRIMARY KEY ( `killID` ) ,
								INDEX ( `ownerID` ) ,
								INDEX ( `playerID` ) ,
								INDEX ( `userID` ) 
								) ENGINE = MYISAM" );
    }

    function execQuery()
    {
        if (!$this->qry_->executed_)
        {
            $this->sql_ = "select * from killlog
	  	                   where killID = " . $this->killID_;
            $this->qry_->execute($this->sql_);
            $this->row_ = $this->qry_->getRow();
        }
    }
	
    function add($playerid, $userid, $characterid, $killTime, $killID, $solarSystemID, $characterName, $characterID, $corporationName,
					$corporationID, $allianceName, $shipTypeID, $aggressors, $timestamp)
    {
       	 $this->qry_->execute("select * from killlog
		               where killID = " . $killID );

        if ($this->qry_->recordCount() == 0)
       	 {				 		 
            $this->qry_->execute("insert into killlog (playerID, userID, ownerID, killTime, killID, solarSystemID, characterName,
									 characterID, corporationName, corporationID, allianceName, shipTypeID, aggressors, lastUpdated )
									  values ( '"
									 . $playerid . "','" . $userid . "','"
									 . $characterid . "','"
									 . $killTime . "','"
									 . $killID . "','"
									 . $solarSystemID . "','"
									 . slashfix($characterName) . "','"
									 . $characterID . "','"
									 . slashfix($corporationName) . "','"
									 . $corporationID . "','"
									 . slashfix($allianceName) . "','"
									 . $shipTypeID . "','"
									 . $aggressors . "',"
									 . "date_format('" . $timestamp . "','%Y.%m.%d %H:%i:%s'))" );
            $this->killID_ = $killID;
			
			return $this->killID_;
        } else {
			return -1;
		}

        
    }
}
?>
