<?php

class MarketOrdersDB
{
    function MarketOrdersDB($orderid = 0)
    {
        $this->orderID_ = $orderid;
        $this->qry_ = new DBQuery();
		
		// check if DB exists, if not - create it
		$this->qry_->execute("CREATE TABLE IF NOT EXISTS `marketorders` (
								`playerID` INT UNSIGNED NOT NULL ,
								`userID` INT UNSIGNED NOT NULL ,
								`ownerID` INT UNSIGNED NOT NULL ,
								`orderID` INT UNSIGNED NOT NULL ,
								`charID` INT NOT NULL ,
								`stationID` INT NOT NULL ,
								`volEntered` INT NOT NULL ,
								`volRemaining` INT NOT NULL ,
								`minVolume` INT NOT NULL ,
								`orderState` INT NOT NULL ,
								`typeID` INT NOT NULL ,
								`range` INT NOT NULL ,
								`accountKey` INT NOT NULL ,
								`duration` INT NOT NULL ,
								`escrow` DECIMAL(15,2) NOT NULL ,
								`price` DECIMAL(15,2) NOT NULL ,
								`bid` INT NOT NULL ,
								`issued` DATETIME NOT NULL ,
								`lastUpdated` DATETIME NOT NULL ,
								PRIMARY KEY ( `orderID` ) ,
								INDEX ( `ownerID` ) ,
								INDEX ( `playerID` ) ,
								INDEX ( `userID` ) ,
								INDEX ( `stationID` )
								) ENGINE = MYISAM" );
    }

    function execQuery()
    {
        if (!$this->qry_->executed_)
        {
            $this->sql_ = "select * from marketorders
	  	                   where orderID = " . $this->orderID_;
            $this->qry_->execute($this->sql_);
            $this->row_ = $this->qry_->getRow();
        }
    }

	function purge($charid)
	{
		// assets lists are 'complete' therefore we purge previous assets listed to allow the new processing to present 100% accuracy
		$this->sql_ = "DELETE from marketorders
	  	                   where ownerID = " . $charid;
	}
	
    function add($playerid, $userid, $characterid, $orderid, $charid, $stationid, $volentered, $volremaining, $minvolume, 		
					$orderstate, $typeid, $range, $accountkey, $duration, $escrow, $price, $bid, $issued, $timestamp)
    {
       	 $this->qry_->execute("select * from marketorders
		               where orderID = " . $orderid );

        if ($this->qry_->recordCount() == 0)
       	 {					 							 				 
            $this->qry_->execute("insert into marketorders (playerID, userID, ownerID, orderID, charID, stationID, volEntered,
									 volRemaining, minVolume, orderState, typeID, range, accountKey, duration, escrow, price, bid,
									 issued, lastUpdated ) values ( '" . $playerid . "','" . $userid . "','"
									 . $characterid . "','" . $orderid . "','"
									 . $charid . "','"
									 . $stationid . "','"
									 . $volentered . "','"
									 . $volremaining . "','"
									 . $minvolume . "','"
									 . $orderstate . "','"
									 . $typeid . "','"
									 . $range . "','"
									 . $accountkey . "','"
									 . $duration . "','"
									 . $escrow . "','"
									 . $price . "','"
									 . $bid . "', "
									 . "date_format('" . $issued . "','%Y.%m.%d %H:%i:%s'), "
									 . "date_format('" . $timestamp . "','%Y.%m.%d %H:%i:%s'))" );
            $this->orderID_ = $orderid;
        } else {
            $row = $this->qry_->getRow();
            $this->orderID_ = $row['orderID'];
							 			
            $this->qry_->execute("update marketorders
	                       	set playerID = '" . $playerid . "', 
	                       	userID = '" . $userid . "',
							ownerID = '" . $characterid . "',
							charID = '" . $charid . "',
							stationID = '" . $stationid . "',
							volEntered = '" . $volentered . "',
							volRemaining = '" . $volremaining . "',
							minVolume = '" . $minvolume . "',
							orderState = '" . $orderstate . "',
							typeID = '" . $typeid . "',
							range = '" . $range . "',
							accountKey = '" . $accountkey . "',
							duration = '" . $duration . "',
							escrow = '" . $escrow . "',
							price = '" . $price . "',
							bid = '" . $bid . "',
							issued = date_format('" . $issued . "','%Y.%m.%d %H:%i:%s'),
							lastUpdated = date_format('" . $timestamp . "','%Y.%m.%d %H:%i:%s')
			              	 where orderID = " . $this->orderID_);
        } 

        return $this->orderID_;
    }
}
?>
