<?php

/**
 * Eve-Online API Trawler
 *
 */

class RefTypesDB
{
	function RefTypesDB($refTypeID = 0)
    {
		
        $this->refTypeID_ = $refTypeID;
        $this->qry_ = new DBQuery();
		
		// check if DB exists, if not - create it
		$this->qry_->execute("CREATE TABLE IF NOT EXISTS `eve_reftypes` (
								`refTypeID` INT UNSIGNED NOT NULL ,
								`refTypeName` VARCHAR( 64 ) NOT NULL ,
								PRIMARY KEY ( `refTypeID` ) 
								) ENGINE = MYISAM" );
    }
	
	function getID()
    {
        return $this->refTypeID_;
    }
	
	function getRefName( $refTypeID )
	{
		$this->qry_->execute("select * from eve_reftypes
		               where refTypeID = " . $refTypeID );
		
		if ($this->qry_->recordCount() != 0)
		{
			// match found, this corp is in an alliance
			$row = $this->qry_->getRow();
			$refName = $row['refTypeName'];
			
			return $refName;
		} else {
			// No match. Return "none"
			return "Not a RefType";
		}
	}
	
	function add($refTypeID, $refTypeName)
    {
        $this->qry_->execute("select * from eve_reftypes
		               where refTypeID = " . $refTypeID );

        if ($this->qry_->recordCount() == 0)
        {							 
            $this->qry_->execute("insert into eve_reftypes (refTypeID, refTypeName)
									 values ( '" . $refTypeID . "','" . slashfix($refTypeName) . "')" );
            $this->refTypeID_ = $refTypeID;
        }
        else
        {
            $row = $this->qry_->getRow();
            $this->refTypeID_ = $row['refTypeID'];
            
            $this->qry_->execute("update eve_reftypes
	                       	set refTypeName = '" . slashfix($refTypeName) . "'
			              	 where refTypeID = " . $this->refTypeID_);
        }

        return $this->refTypeID_;
    }
	
	
	
	
	
	
}

?>