<?php

/**
 * Eve-Online API Trawler
 *
 */

class SkillTree
{
	function SkillTree()
    {
		
        $this->skillID_ = $skillid;
        $this->qry_ = new DBQuery();
		
		// check if DB exists, if not - create it
		$this->qry_->execute("CREATE TABLE IF NOT EXISTS `eve_skills` (
								`typeID` INT UNSIGNED NOT NULL ,
								`groupID` INT UNSIGNED NOT NULL ,
								`typeName` VARCHAR( 64 ) NOT NULL ,
								`requiredLevel` INT UNSIGNED NOT NULL DEFAULT '0',
								PRIMARY KEY ( `typeID` ) ,
								INDEX ( `groupID` ) 
								) ENGINE = MYISAM" );
								
		$this->qry_->execute("CREATE TABLE IF NOT EXISTS `eve_skillgroups` (
								`groupID` INT UNSIGNED NOT NULL ,
								`groupName` VARCHAR( 64 ) NOT NULL ,
								PRIMARY KEY ( `groupID` ) 
								) ENGINE = MYISAM" );
		
		$this->qry_->execute("CREATE TABLE IF NOT EXISTS `skills` (
								`characterID` INT UNSIGNED NOT NULL ,
								`typeID` INT UNSIGNED NOT NULL ,
								`skillpoints` INT UNSIGNED NOT NULL ,
								`level` INT UNSIGNED NOT NULL ,
								INDEX ( `characterID`,`typeID` ) 
								) ENGINE = MYISAM" );
    }
	
	function getSkill($typeID)
    {
		// function returns information on skill($typeid)
        $this->sql_ = "SELECT s.typeID, s.groupID, s.typeName, g.groupName 
						FROM eve_skills s, eve_skillgroups g
						WHERE s.groupID = g.groupID and s.typeID = " . $typeID;

        $this->qry_->execute($this->sql_);
		
		if ($this->qry_->recordCount() != 0)
        {
			$row = $this->qry_->getRow();
			
			return $row;
		}
		return;
    }
	
	function addGroup($groupid, $groupname)
    {
		// adds a new skill group to the DB
        $this->qry_->execute("select * from eve_skillgroups
		               where groupID = '" . $groupid . "'");

        if ($this->qry_->recordCount() == 0)
        {
            $this->qry_->execute("insert into eve_skillgroups (groupID, groupName) values ('"
				. $groupid . "','" . slashfix($groupname) . "')");
            $addresponse = true;
        }
        else
        {
			$row = $this->qry_->getRow();
            
            $this->qry_->execute("update eve_skillgroups
				set groupName = '" . slashfix($groupname) . "' where groupID = " . $groupid);
								
			$addresponse = false;
        }
        return $addresponse;
    }
	
	function addSkill($skillid, $groupid, $skillname)
    {
		// adds a new skilltype to the DB
        $this->qry_->execute("select * from eve_skills
		               where typeID = '" . $skillid . "'");

        if ($this->qry_->recordCount() == 0)
        {
            $this->qry_->execute("insert into eve_skills (typeID, groupID, typeName) values ( '"
				. $skillid . "','" . $groupid . "','" . slashfix($skillname) . "')");
            $addresponse = true;
        }
        else
        {
			$row = $this->qry_->getRow();
            
            $this->qry_->execute("update eve_skills
				set groupID = '" . $groupid . "',
				typeName = '" . slashfix($skillname) . "' where typeID = " . $skillid);
								
			$addresponse = false;
        }
        return $addresponse;
    }
	
	function addCharSkill($charid, $skillid, $skillpoints, $level)
    {
		// adds a characters skill to the db
        $this->qry_->execute("select * from skills
		               where typeID = '" . $skillid . "' and characterID = '" .$charid ."'");

        if ($this->qry_->recordCount() == 0)
        {
            $this->qry_->execute("insert into skills (characterID, typeID, skillpoints, level) values ( '"
				. $charid . "','" . $skillid . "','" . $skillpoints . "','" . $level . "')");
            $addresponse = true;
        }
        else
        {
			$row = $this->qry_->getRow();
            
            $this->qry_->execute("update skills
				set skillpoints = '" . $skillpoints . "',
				level = '" . $level . "' where typeID = '" . $skillid . "' and characterID = '" .$charid ."'");
								
			$addresponse = false;
        }
        return $addresponse;
    }
}
?>