<?php

class WalletJournalDB
{
    function WalletJournalDB($refid = 0)
    {
        $this->refID_ = $refid;
        $this->qry_ = new DBQuery();
		
		// check if DB exists, if not - create it
		$this->qry_->execute("CREATE TABLE IF NOT EXISTS `walletjournal` (
								`playerID` INT UNSIGNED NOT NULL ,
								`userID` INT UNSIGNED NOT NULL ,
								`ownerID` INT UNSIGNED NOT NULL ,
								`accountKey` INT NOT NULL ,
								`date` DATETIME NOT NULL ,		
								`refID` INT NOT NULL ,
								`refTypeID` INT NOT NULL ,
								`ownerName1` VARCHAR( 64 ) NOT NULL ,
								`ownerID1` INT NOT NULL ,
								`ownerName2` VARCHAR( 64 ) NOT NULL ,
								`ownerID2` INT NOT NULL ,
								`argName1` VARCHAR( 64 ) NOT NULL ,
								`argID1` INT NOT NULL ,
								`amount` DECIMAL(15,2) NOT NULL ,
								`balance` DECIMAL(15,2) NOT NULL ,
								`reason` VARCHAR( 64 ) NOT NULL ,
								`lastUpdated` DATETIME NOT NULL ,
								PRIMARY KEY ( `refID` ) ,
								INDEX ( `ownerID` ) ,
								INDEX ( `playerID` ) ,
								INDEX ( `userID` ) ,
								INDEX ( `ownerID1` ) ,
								INDEX ( `ownerID2` )
								) ENGINE = MYISAM" );
    }

    function execQuery()
    {
        if (!$this->qry_->executed_)
        {
            $this->sql_ = "select * from walletjournal
	  	                   where refID = " . $this->refID_;
            $this->qry_->execute($this->sql_);
            $this->row_ = $this->qry_->getRow();
        }
    }
	
    function add($playerid, $userid, $characterid, $accountkey, $date, $refid, $reftypeid, $ownername1, $ownerid1, 		
					$ownername2, $ownerid2, $argname1, $argid1, $amount, $balance, $reason, $timestamp)
    {
       	 $this->qry_->execute("select * from walletjournal
		               where refID = " . $refid );

        if ($this->qry_->recordCount() == 0)
       	 {					 
            $this->qry_->execute("insert into walletjournal (playerID, userID, ownerID, accountKey, date, refID, refTypeID,
									 ownerName1, ownerID1, ownerName2, ownerID2, argName1, argID1, amount, balance, reason, 
									 lastUpdated ) values ( '" . $playerid . "','" . $userid . "','"
									 . $characterid . "','" . $accountkey . "','"
									 . $date . "','"
									 . $refid . "','"
									 . $reftypeid . "','"
									 . slashfix($ownername1) . "','"
									 . $ownerid1 . "','"
									 . slashfix($ownername2) . "','"
									 . $ownerid2 . "','"
									 . slashfix($argname1) . "','"
									 . $argid1 . "','"
									 . $amount . "','"
									 . $balance . "','"
									 . slashfix($reason) . "',"
									 . "date_format('" . $timestamp . "','%Y.%m.%d %H:%i:%s'))" );
            $this->refID_ = $refid;
        } else {
            $row = $this->qry_->getRow();
            $this->refID_ = $row['refID'];
							 			
            $this->qry_->execute("update walletjournal
	                       	set playerID = '" . $playerid . "', 
	                       	userID = '" . $userid . "',
							ownerID = '" . $characterid . "',
							accountKey = '" . $accountkey . "',
							date = '" . $date . "',
							refTypeID = '" . $reftypeid . "',
							ownerName1 = '" . slashfix($ownername1) . "',
							ownerID1 = '" . $ownerid1 . "',
							ownerName2 = '" . slashfix($ownername2) . "',
							ownerID2 = '" . $ownerid2 . "',
							argName1 = '" . slashfix($argname1) . "',
							argID1 = '" . $argid1 . "',
							amount = '" . $amount . "',
							balance = '" . $balance . "',
							reason = '" . slashfix($reason) . "',
							lastUpdated = date_format('" . $timestamp . "','%Y.%m.%d %H:%i:%s')
			              	 where refID = " . $this->refID_);
        } 

        return $this->refID_;
    }
}
?>
