<?php

/**
 * Eve-Online API Trawler
 *
 */		
require_once('config.php');
require_once('includes/vbulletin.php');
require_once('includes/db.php');
require_once('includes/class.player.php');

if ($vbAuthed)
{
	if ($_GET['page'])
	{
		$url = preg_replace("/&page=([0-9]?[0-9]?[0-9])/", "", $_SERVER['QUERY_STRING']);
		$pagenumber = $_GET['page'];
	} else {
		$url = $_SERVER['QUERY_STRING'];
		$pagenumber = 1;
	}	
			
	// prepare page
	$title = 'EVE API Trawler :: Players List'; // $title is a variable in header.php - so must be defined before header.php is included
	$titlebar = 'EVE API Trawler :: Players List';
	require_once('includes/css.php');
	require_once('includes/header.php');
	$footer = '</body></html>';
	
	// Add Player box - form sends new player name to player.php where it is then added to the DB
	$page .= '<div align="center"><form method="post" action="player.php" name="playerform" onsubmit="return CheckFormInput()">';
	$page .= 'New Player: <input type="text" name="playername" size="28" maxlength="20">';
	$page .= ' <input type="submit" value="Add" name="addnewplayer" onclick="addplayerclick()">';
	$page .= '<input type="hidden" name="submitaddplayer" value="false">';
	$page .= '</form></div>';
	
	// Read list of players from DB
	$myPlayers = new Player();
	
	// work out what forum privileges allow us to see
	$fID = $vbGroupID;
	$playerArray = $myPlayers->getAll($fID);
	$playercount = count($playerArray);
	$endpage = ceil($playercount / MAXPERPAGE);
	$pagehtml = "<br><p><b>[</b> Page: ";
	
	for ($i = 1; $i <= $endpage; $i++)
	{
		if ($i != $pagenumber)
		{
			if ($i == 1 || $i == $endpage || (($i >= $pagenumber - 1 && $i <= $pagenumber + 1)))
			{
				if ($i != 1)
					$pagehtml .= "<a href=\"?".$url."&page=".$i."\">".$i."</a>&nbsp;";
				else
					$pagehtml .= "<a href=\"?".$url."\">".$i."</a>&nbsp;";
			}elseif ($i < $pagenumber && !$dotted)
			{
				$dotted = true;
				$pagehtml .= "<b>..&nbsp;</b>";
			}elseif ($i > $pagenumber && !$ldotted)
			{
				$ldotted = true;
				$pagehtml .= "<b>..&nbsp;</b>";
			}
		} else
			$pagehtml .= "<b>".$i."</b>&nbsp;";
	}
	$pagehtml .= "<b>]</b>";
	
	// Create Table for Player details to go in
	$page .= '<form method="post" action="player.php" name="viewform">';
	$page .= '<br><table align="center" border="1" width="60%" cellpadding="2"><tr><td align="center"><b>#</b></td><td align="center"><b>Name</b></td><td align="center"><b>Created</b></td><td> </td></tr>';
	
	
	for ( $loop=(($pagenumber-1) * MAXPERPAGE); $loop < ($pagenumber * MAXPERPAGE); $loop++ )
	{
		if ($loop < $playercount)
			$page .= '<tr><td align="center">' . $playerArray[$loop]['playerID'] . '</td><td>' 
				. $playerArray[$loop]['name'] . '</td><td align="center">'
				. $playerArray[$loop]['created'] . '</td><td align="center">'
				. '<input type="submit" value="View" name="viewplayer" id="' . slashfix($playerArray[$loop]['name']) . '" onclick="return ViewPlayer(this)"></td></tr>';
	}
	
	// hidden form control used to pass the playername user wishes to view - it's set in the javascript thats called when a view button is clicked
	$page .= '<input type="hidden" name="playername">';
	$page .= '</table></form>';
	
	// only print the links to extra pages if required (eg there's more than 1 page)
	if ($endpage > 1)
		$page .= $pagehtml;
	
	// add footer and print page
	$page .= $footer;
	print $page;
} else {
	echo "you are not logged into forum";
}
?>
<SCRIPT TYPE="text/javascript">
<!--
// check that they entered an amount tested, an amount passed,
// and that they didn't pass units than they more than tested

function CheckFormInput()
{
	var len = parseInt(document.playerform.playername.value.length);
	var returnval;

	if (len != 0)
	{
   		returnval = true;
		document.playerform.submitaddplayer.value = true;
	}
	else
   	{
   		alert("Need to Enter a name you great balloon");
   		returnval = false;
   	}
	return returnval;
}

function addplayerclick()
{
	document.playerform.submitaddplayer.value = "true";
}

function ViewPlayer(obj)
{
	var playername = obj.id;
	var returnval = true;

	document.viewform.playername.value = playername;

	return returnval;
}
// -->
</SCRIPT>
