<?php

/**
 * Eve-Online API Trawler
 *
 */

class Accounts
{
	function Accounts($playerid)
    {
		
        $this->playerID_ = $playerid;
        $this->qry_ = new DBQuery();
		
		// check if DB exists, if not - create it
		$this->qry_->execute("CREATE TABLE IF NOT EXISTS `accounts` (
								`playerID` INT UNSIGNED NOT NULL ,
								`userID` INT UNSIGNED NOT NULL ,
								`apiKey` VARCHAR( 64 ) NOT NULL ,
								`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
								`lastupdated` DATETIME NULL,
								PRIMARY KEY ( `userID` ) ,
								INDEX ( `userID` ) 
								) ENGINE = MYISAM" );
		
		
    }
	
	function getID()
    {
        return $this->playerID_;
    }
	
	function getPlayerAccounts()
    {
        $this->sql_ = "SELECT * 
						FROM `accounts` 
						WHERE `playerID` = " . $this->playerID_ . 
						" ORDER BY `userID` ASC";
        $this->qry_->execute($this->sql_);
		
		while($account_ = $this->qry_->getRow())
		{
			$array['userID'] = $account_['userID'];
			$array['apiKey'] = $account_['apiKey'];
			$array['created'] = $account_['created'];
			$array['lastupdated'] = $account_['lastupdated'];
			
			$accountArray[] = $array;
			unset($array);
		}
		return $accountArray;
    }
	
	function add($uid, $key, $timestamp)
    {
       // $qry = new DBQuery();
        $this->qry_->execute("select * from accounts
		               where userID = '" . $uid . "'");

        if ($this->qry_->recordCount() == 0)
        {
            $this->qry_->execute("insert into accounts (playerID, userID, apiKey, created) values ( '"
				. $this->playerID_ . "','" . $uid . "','" . slashfix($key) . "',date_format('" . $timestamp . "','%Y.%m.%d %H:%i:%s'))");
            $addresponse = true;
        }
        else
        {
			$row = $this->qry_->getRow();
            
            $this->qry_->execute("update accounts
				set apiKey = '" . slashfix($key) . "',
				lastupdated = date_format('" . $timestamp . "','%Y.%m.%d %H:%i:%s')
			    where userID = ".$uid);
								
			$addresponse = false;
        }

        return $addresponse;
    }
}

?>