<?php

/**
 * Eve-Online API Trawler
 *
 */

class AlliancesDB
{
	function AlliancesDB($allianceID = 0)
    {
		
        $this->allianceID_ = $allianceID;
        $this->qry_ = new DBQuery();
		
		// check if DB exists, if not - create it
		$this->qry_->execute("CREATE TABLE IF NOT EXISTS `eve_alliances` (
								`name` VARCHAR( 64 ) NOT NULL ,
								`shortName` VARCHAR( 6 ) NOT NULL ,
								`allianceID` INT UNSIGNED NOT NULL ,
								`executorCorpID` INT UNSIGNED NOT NULL ,
								`memberCount` INT UNSIGNED NOT NULL ,
								`startDate` DATETIME NOT NULL ,
								`corporationID` INT UNSIGNED NOT NULL ,
								`corp_startDate` DATETIME NOT NULL ,
								PRIMARY KEY ( `corporationID` ) 
								) ENGINE = MYISAM" );
								
		
    }
	
	function getID()
    {
        return $this->allianceID_;
    }
	
	function getAllianceName( $corpID )
	{
		$this->qry_->execute("select * from eve_alliances
		               where corporationID = " . $corpID );
		
		if ($this->qry_->recordCount() != 0)
		{
			// match found, this corp is in an alliance
			$row = $this->qry_->getRow();
			$alliance = $row['name'];
			
			return $alliance;
		} else {
			// No match. Return "none"
			return "None.";
		}
	}
	
	function add($name, $shortName, $allianceID, $executorCorpID, $memberCount, $startDate, $corporationID, $corp_startDate)
    {
        $this->qry_->execute("select * from eve_alliances
		               where corporationID = " . $corporationID );

        if ($this->qry_->recordCount() == 0)
        {							 
            $this->qry_->execute("insert into eve_alliances (name, shortName, allianceID, executorCorpID, memberCount, startDate, 
									corporationID, corp_startDate )
									 values ( '"
									 . slashfix($name) . "','"
									 . slashfix($shortName) . "','"
									 . $allianceID . "','"
									 . $executorCorpID . "','"
									 . $memberCount . "','"
									 . slashfix($startDate) . "','"
									 . $corporationID . "','"
									 . slashfix($corp_startDate) . "')" );
            $this->corporationID_ = $corporationID;
        }
        else
        {
            $row = $this->qry_->getRow();
            $this->corporationID_ = $row['corporationID'];
            
            $this->qry_->execute("update eve_alliances
	                       	set name = '" . slashfix($name) . "', 
	                       	shortName = '" . slashfix($shortName) . "',
							allianceID = '" . $allianceID . "',
							executorCorpID = '" . $executorCorpID . "',
							memberCount = '" . $memberCount . "',
							startDate = '" . slashfix($startDate) . "',
							corp_startDate = '" . slashfix($corp_startDate) . "' 
			              	where corporationID = " . $this->corporationID_);
        }

        return $this->corporationID_;
    }
	
	
	
	
	
	
}

?>