<?php

/**
 * Eve-Online API Trawler
 *
 */

class ConquerableStationsDB
{
	function ConquerableStationsDB()
    {
        $this->qry_ = new DBQuery();
		
		// check if DB exists, if not - create it
		$this->qry_->execute("CREATE TABLE IF NOT EXISTS `eve_conquerablestations` (
							  `stationID` INT UNSIGNED NOT NULL ,
							  `stationName` VARCHAR( 64 ) NOT NULL ,
							  `stationTypeID` INT UNSIGNED NOT NULL ,
							  `solarSystemID` INT UNSIGNED NOT NULL ,
							  `corporationID` INT UNSIGNED NOT NULL ,
							  `corporationName` VARCHAR( 64 ) NOT NULL ,
							  PRIMARY KEY ( `stationID` ),
							  INDEX ( `solarSystemID` )
							  ) ENGINE = MYISAM" );
    }
	
	function add($stationID, $stationName, $stationTypeID, $solarSystemID, $corporationID, $corporationName )
    {
        $this->qry_->execute("select * from eve_conquerablestations
		               where stationID = " . $stationID );

        if ($this->qry_->recordCount() == 0)
        {			
            $this->qry_->execute("insert into eve_conquerablestations (stationID, stationName, stationTypeID, solarSystemID, 
								  corporationID, corporationName)
								  values ( '" . $stationID . "','"
									 		  . slashfix($stationName) . "','"
											  . $stationTypeID . "','"
											  . $solarSystemID . "','"
											  . $corporationID . "','"
											  . slashfix($corporationName)
											  . "')" );
        }
        else
        {            
            $this->qry_->execute("update eve_conquerablestations
	                       		  set stationName = '" . slashfix($stationName) . "',
								  stationTypeID = '" . $stationTypeID . "',
								  solarSystemID = '" . $solarSystemID . "',
								  corporationID = '" . $corporationID . "',
								  corporationName = '" . slashfix($corporationName) . "' 
			              		  where stationID = " . $stationID );
        }

        return;
    }
}
?>