<?php
define('DB_HALTONERROR', true); // set true for debugging a particular DB problem, otherwise leave it false.

class DBConnection
{
    function DBConnection()
    {
        static $conn_id;

        if (is_resource($conn_id))
        {
            $this->id_ = $conn_id;
            return;
        }
        if (!$this->id_ = mysql_connect(DB_HOST, DB_USER, DB_PASS))
            die("Unable to connect to mysql database.");

        mysql_select_db(DB_NAME);
        $conn_id = $this->id_;
    }

    function id()
    {
        return $this->id_;
    }

    function affectedRows()
    {
        return mysql_affected_rows($this->id_);
    }
}

class DBQuery
{
    var $object;

    // php5 style object overloading
    // we internally load up the wanted object and reroute all
    // object actions to it
    function __construct($forceNormal = false)
    {
        $object = new DBNormalQuery();
        $this->object = $object;
    }

    function __call($name, $args)
    {
        return call_user_func_array(array($this->object, $name), $args);
    }

    function __set($name, $value)
    {
        $this->object->$name = $value;
    }

    function __unset($name)
    {
        unset($this->object->$name);
    }

    function __isset($name)
    {
        return isset($this->object->$name);
    }

    function __get($name)
    {
        return $this->object->$name;
    }

    // php4 style object overloading
    // we just hijack $this but we need to use a helper
    // function for this because php5 fatals if it sees
    // $this = ... in the src
    function DBQuery($forceNormal = false)
    {
        $object = &$this->getRef($this);
   
        $object = new DBNormalQuery(); 
    }

    function &getRef(&$var)
    {
        return $var;
    }
}

class DBNormalQuery
{
    function DBNormalQuery()
    {
        $this->executed_ = false;
        $this->dbconn_ = new DBConnection;
    }

    function queryCount($increase = false)
    {
        static $count;

        if ($increase)
        {
            $count++;
        }

        return $count;
    }

    function execute($sql)
    {
        $t1 = strtok(microtime(), ' ') + strtok('');

        $this->resid_ = mysql_query($sql, $this->dbconn_->id());

        if ($this->resid_ === false)
        {
            if (defined('DB_HALTONERROR') && DB_HALTONERROR)
            {
                echo "Database error: " . mysql_error($this->dbconn_->id()) . "<br>";
                echo "SQL: " . $sql . "<br>";
                exit;
            }
            else
            {
                return false;
            }
        }

        $this->exectime_ = strtok(microtime(), ' ') + strtok('') - $t1;
        $this->executed_ = true;


        $this->queryCount(true);

        return true;
    }

    function recordCount()
    {
        return mysql_num_rows($this->resid_);
    }

    function getRow()
    {
        if ($this->resid_)
        {
            return mysql_fetch_assoc($this->resid_);
        }
        return false;
    }

    function rewind()
    {
        @mysql_data_seek($this->resid_, 0);
    }

    function getInsertID()
    {
        return mysql_insert_id();
    }

    function execTime()
    {
        return $this->exectime_;
    }

    function executed()
    {
        return $this->executed_;
    }

    function getErrorMsg()
    {
        $msg = $this->sql_ . "<br>";
        $msg .= "Query failed. " . mysql_error($this->dbconn_->id());

        return $msg;
    }
}
?>
