<?php

class MemberTrackingDB
{
    function MemberTrackingDB()
    {
        $this->qry_ = new DBQuery();
		
		// check if DB exists, if not - create it
		$this->qry_->execute("CREATE TABLE IF NOT EXISTS `membertracking` (
								`corporationID` INT UNSIGNED NOT NULL ,
								`characterID` INT UNSIGNED NOT NULL ,
								`name` VARCHAR( 64 ) NOT NULL ,
								`startDateTime` DATETIME NOT NULL ,
								`baseID` INT UNSIGNED NOT NULL ,
								`base` VARCHAR( 64 ) NOT NULL ,
								`title` VARCHAR( 64 ) NOT NULL ,
								`logonDateTime` DATETIME NOT NULL ,
								`logoffDateTime` DATETIME NOT NULL ,
								`locationID` INT UNSIGNED NOT NULL ,
								`location` VARCHAR( 64 ) NOT NULL ,
								`shipTypeID` INT UNSIGNED NOT NULL ,
								`shipType` VARCHAR( 64 ) NOT NULL ,
								`roles` INT UNSIGNED NOT NULL ,
								`grantableRoles` INT UNSIGNED NOT NULL ,
								PRIMARY KEY ( `characterID` ) ,
								INDEX ( `corporationID` )
								) ENGINE = MYISAM" );
    }

	function purge($corpID)
	{
		// purge members, incase some have left since last trawl
		$this->sql_ = "DELETE from membertracking
	  	               where corporationID = " . $corpID;
	}
	
    function add($corporationID, $characterID, $name, $startDateTime, $baseID, $base, $title, $logonDateTime, $logoffDateTime,
				 $locationID, $location, $shipTypeID, $shipType, $roles, $grantableRoles)
    {
       	 $this->qry_->execute("select * from membertracking
		               		   where characterID = " . $characterID );

        if ($this->qry_->recordCount() == 0)
       	 {					 							 				 
            $this->qry_->execute("insert into membertracking (corporationID, characterID, name, startDateTime, baseID, base, title,
								  logonDateTime, logoffDateTime, locationID, location, shipTypeID, shipType, roles, grantableRoles )
								  values ( '" 
								  . $corporationID . "','" 
								  . $characterID . "','"
								  . slashfix($name) . "', " 
								  . "date_format('" . $startDateTime . "','%Y.%m.%d %H:%i:%s'),'"
								  . $baseID . "','"
								  . slashfix($base) . "','"
								  . slashfix($title) . "', "
								  . "date_format('" . $logonDateTime . "','%Y.%m.%d %H:%i:%s'), "
								  . "date_format('" . $logoffDateTime . "','%Y.%m.%d %H:%i:%s'),'"
								  . $locationID . "','"
								  . slashfix($location) . "','"
								  . $shipTypeID . "','"
								  . slashfix($shipType) . "','"
								  . $roles . "','"
								  . $grantableRoles . "')");
        } 
		
        return $characterID;
    }
}
?>
