<?php

/**
 * Eve-Online API Trawler
 *
 */

class SystemsDB
{
	function SystemsDB($systemID = 0)
    {
		
        $this->solarSystemID_ = $systemID;
        $this->qry_ = new DBQuery();
		
		// check if DB exists, if not - create it
		$this->qry_->execute("CREATE TABLE IF NOT EXISTS `eve_systems` (
								`solarSystemID` INT UNSIGNED NOT NULL ,
								`allianceID` INT UNSIGNED NOT NULL ,
								`constellationSovereignty` INT UNSIGNED NOT NULL ,
								`sovereigntyLevel` INT UNSIGNED NOT NULL ,
								`factionID` INT UNSIGNED NOT NULL ,
								`solarSystemName` VARCHAR( 64 ) NOT NULL ,
								PRIMARY KEY ( `solarSystemID` ) 
								) ENGINE = MYISAM" );
								
		
    }
	
	function getID()
    {
        return $this->solarSystemID_;
    }
	
	function getSystemeName( $systemID )
	{
		$this->qry_->execute("select * from eve_systems
		               where solarSystemID = " . $systemID );
		
		if ($this->qry_->recordCount() != 0)
		{
			// match found, this corp is in an alliance
			$row = $this->qry_->getRow();
			$system = $row['solarSystemName'];
			
			return $system;
		} else {
			// No match. Return false - but this should never happen
			return false;
		}
	}
	
	function add( $solarSystemID, $allianceID, $constellationSovereignty, $sovereigntyLevel, $factionID, $solarSystemName )
    {
        $this->qry_->execute("select * from eve_systems
		               where solarSystemID = " . $solarSystemID );

        if ($this->qry_->recordCount() == 0)
        {							 
            $this->qry_->execute("insert into eve_systems (solarSystemID, allianceID, constellationSovereignty, sovereigntyLevel,
									 factionID, solarSystemName )
									 values ( '"
									 . $solarSystemID . "','"
									 . $allianceID . "','"
									 . $constellationSovereignty . "','"
									 . $sovereigntyLevel . "','"
									 . $factionID . "','"
									 . slashfix($solarSystemName) . "')" );
        }
        else
        {
            $row = $this->qry_->getRow();
           
            
            $this->qry_->execute("update eve_systems
	                       	set allianceID = '" . $allianceID . "', 
	                       	constellationSovereignty = '" . $constellationSovereignty . "',
							sovereigntyLevel = '" . $sovereigntyLevel . "',
							factionID = '" . $factionID . "',
							solarSystemName = '" . slashfix($solarSystemName) . "' 
			              	where solarSystemID = " . $solarSystemID );
        }

        return $solarSystemID;
    }
	
	
	
	
	
	
}

?>