<?php

class WalletTransactionsDB
{
    function WalletTransactionsDB($transactionid = 0)
    {
        $this->transactionID_ = $transactionid;
        $this->qry_ = new DBQuery();
		
		// check if DB exists, if not - create it
		$this->qry_->execute("CREATE TABLE IF NOT EXISTS `wallettransactions` (
								`playerID` INT UNSIGNED NOT NULL ,
								`userID` INT UNSIGNED NOT NULL ,
								`ownerID` INT UNSIGNED NOT NULL ,
								`accountKey` INT NOT NULL ,
								`transactionDateTime` DATETIME NOT NULL ,		
								`transactionID` INT NOT NULL ,
								`quantity` INT NOT NULL ,
								`typeName` VARCHAR( 64 ) NOT NULL ,
								`typeID` INT NOT NULL ,
								`price` DECIMAL(15,2) NOT NULL ,
								`clientID` INT NOT NULL ,
								`clientName` VARCHAR( 64 ) NOT NULL ,
								`stationID` INT NOT NULL ,
								`stationName` VARCHAR( 64 ) NOT NULL ,
								`transactionType` VARCHAR( 6 ) NOT NULL ,
								`transactionFor` VARCHAR( 15 ) NOT NULL ,
								`lastUpdated` DATETIME NOT NULL ,
								PRIMARY KEY ( `transactionID` ) ,
								INDEX ( `ownerID` ) ,
								INDEX ( `playerID` ) ,
								INDEX ( `userID` ) ,
								INDEX ( `typeID` ) ,
								INDEX ( `clientID` )
								) ENGINE = MYISAM" );
    }

    function execQuery()
    {
        if (!$this->qry_->executed_)
        {
            $this->sql_ = "select * from wallettransactions
	  	                   where transactionID = " . $this->transactionID_;
            $this->qry_->execute($this->sql_);
            $this->row_ = $this->qry_->getRow();
        }
    }
	
    function add($playerid, $userid, $characterid, $accountkey, $transactiondatetime, $transactionid, $quantity, $typename, $typeid, 		
					$price, $clientid, $clientname, $stationid, $stationname, $transactiontype, $transactionfor, $timestamp)
    {
       	 $this->qry_->execute("select * from wallettransactions
		               where transactionID = " . $transactionid );

        if ($this->qry_->recordCount() == 0)
       	 {						 					 
            $this->qry_->execute("insert into wallettransactions (playerID, userID, ownerID, accountKey, transactionDateTime, 			
									transactionID, quantity, typeName, typeID, price, clientID, clientName, stationID, stationName, 
									transactionType, transactionFor, lastUpdated ) values ( '" . $playerid . "','" . $userid . "','"
									 . $characterid . "','" . $accountkey . "','"
									 . $transactiondatetime . "','"
									 . $transactionid . "','"
									 . $quantity . "','"
									 . slashfix($typename) . "','"
									 . $typeid . "','"
									 . $price . "','"
									 . $clientid . "','"
									 . slashfix($clientname) . "','"
									 . $stationid . "','"
									 . slashfix($stationname) . "','"
									 . slashfix($transactiontype) . "','"
									 . slashfix($transactionfor) . "',"
									 . "date_format('" . $timestamp . "','%Y.%m.%d %H:%i:%s'))" );
            $this->transactionID_ = $transactionid;
        } else {
            $row = $this->qry_->getRow();
            $this->transactionID_ = $row['transactionID'];
							 			
            $this->qry_->execute("update wallettransactions
	                       	set playerID = '" . $playerid . "', 
	                       	userID = '" . $userid . "',
							ownerID = '" . $characterid . "',
							accountKey = '" . $accountkey . "',
							transactionDateTime = '" . $transactiondatetime . "',
							quantity = '" . $quantity . "',
							typeName = '" . slashfix($typename) . "',
							typeID = '" . $typeid . "',
							price = '" . $price . "',
							clientID = '" . $clientid . "',
							clientName = '" . slashfix($clientname) . "',
							stationID = '" . $stationid . "',
							stationName = '" . slashfix($stationname) . "',
							transactionType = '" . slashfix($transactiontype) . "',
							transactionFor  = '" . slashfix($transactionfor) . "',
							lastUpdated = date_format('" . $timestamp . "','%Y.%m.%d %H:%i:%s')
			              	 where transactionID = " . $this->transactionID_ );
        } 

        return $this->transactionID_;
    }
}
?>
