<!DOCTYPE HTML PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
  <title><?php echo $titlebar ?></title>
  <style type="text/css">
    div {
      margin: 12px;
      padding: 4px;
    }
    div.content {
      background-color: #ccc;
      border-color: #777;
      border-style: double;
      border-top: none;
      display: block;
      margin: 4px;
      margin-top: 0px;
    }
    div.content-minimized {
      display: none;
    }
    div.header {
      background-color: #ccc;
      border-color: #777;
      border-style: double;
      margin: 4px;
      margin-bottom: 0px;
      margin-top: 8px;
      position: relative;
      height: 18px;
    }
    div.header:hover {
      background-color: #ddd;
    }
    div.active-page {
      background-color: #ccc;
      display: block;
      margin-top: 0px;
      padding-top: 2px;
    }
    div.inactive-page {
      display: none;
    }
    div.list-even {
      margin: 0px;
    }
    div.list-odd {
      background-color: #bbb;
      margin: 0px;
    }
    div.menu {
      margin: 0px;
      padding: 0px;
      text-align: center;
    }
    div.required-skills {
      border-color: #700;
      border-style: dotted;
      margin-left: 25%;
      margin-right: 25%;
    }
    div.tabs {
      margin-bottom: 0px;
    }
    dl.assets {
      margin-bottom: 0px;
      margin-top: 0px;
    }
    h1 {
      text-align: center;
    }
    span.active-tab {
      background-color: #ccc;
      margin-left:4px;
      padding: 4px;
    }
    span.inactive-tab {
      background-color: #aaa;
      margin-left:4px;
      padding: 4px;
    }
    span.inactive-tab:hover {
      background-color: #ddd;
    }
    span.active-tab2 {
      background-color: #bbb;
      margin-left:4px;
      padding: 4px;
    }
    span.inactive-tab2 {
      background-color: #999;
      margin-left:4px;
      padding: 4px;
    }
    span.inactive-tab2:hover {
      background-color: #ddd;
    }
    td.attr-name {
      border-right-width: 0px;
    }
    td.attr-value {
      border-left-width: 0px;
    }
    .left-element {
      position: absolute;
      left: 0;
      width: 50%;
      top:-12px;
    }
    .right-element {
      position: absolute;
      right: 0;
      width: 50%;
      top:-12px;
      text-align: right; /* depends on element width */
    }
    clear {
      clear: both;
    }
    .sortable
    {
      border-collapse: separate;
      border-spacing: 1px;
    }
    .sortable-row-odd
    {
      background: #bbb;
      margin: 0px;
    }
    .sortable-row-odd:hover {
      background-color: #ddd;
    }
    .sortable-row-even:hover {
      background-color: #ddd;
    }
    .sortable-row-even
    {
      margin: 0px;
    }
    td.sortable-cell
    {
      padding: 3px;
      padding-left: 10px;
      padding-right: 10px;
    }
  </style>
